﻿//
// Authors:
// Xiaoliang Pang (mailto:mv@live.cn)
//
// Copyright (c) 2010 Landpy Software
//
// http://www.cnblogs.com/pangxiaoliang
//
using System;
using System.Collections.Generic;
using System.Text;

namespace Landpy.ProxyPattern
{
    /// <summary>
    /// ISP(Internet Service Provider),filter the visited site information for comply the rule of China.
    /// </summary>
    public class ChinaDNSFilter : IFilter
    {
        #region IFilter Members

        /// <summary>
        /// Parse the site.
        /// </summary>
        /// <param name="site">The site.</param>
        /// <returns>The new site.</returns>
        public ISite Parse(ISite site)
        {
            // For the children, no AV information.
            ISite returnSite = site;
            if (site is AVSite)
            {
                returnSite = new WarnningSite();
            }
            return returnSite;
        }

        #endregion
    }
}
