﻿//
// Authors:
// Xiaoliang Pang (mailto:mv@live.cn)
//
// Copyright (c) 2010 Landpy Software
//
// http://www.cnblogs.com/pangxiaoliang
//
using System;
using System.Collections.Generic;
using System.Text;

namespace Landpy.ProxyPattern
{
    /// <summary>
    /// Domain name resolution.
    /// </summary>
    class DNS
    {
        /// <summary>
        /// Get the site instance by the url.
        /// </summary>
        /// <param name="url">The visited url.</param>
        /// <returns>The site instance.</returns>
        public static ISite GetSite(string url)
        {
            ISite site = null;
            if (url == "http://www.AVSite.com")
            {
                site = new AVSite();
            }
            else if (url == "http://www.cnblogs.com")
            {
                site = new CnblogsSite();
            }
            else
            {
                site = new NullSite();
            }
            return site;
        }
    }
}
