﻿//
// Authors:
// Xiaoliang Pang (mailto:mv@live.cn)
//
// Copyright (c) 2010 Landpy Software
//
// http://www.cnblogs.com/pangxiaoliang
//
using System;
using System.Collections.Generic;
using System.Text;

namespace Landpy.ProxyPattern
{
    /// <summary>
    /// My PC.
    /// </summary>
    public class MyComputer
    {
        /// <summary>
        /// Visit the site.
        /// </summary>
        /// <param name="site">The site.</param>
        public void Visit(ISite site)
        {
            Console.ForegroundColor = ConsoleColor.Green;
            Console.WriteLine("Site Url:{0}", site.Url);
            Console.ForegroundColor = ConsoleColor.White;
            IFilter filter = new ChinaDNSFilter(); // Server in China, comply with the rule of China.
            site = filter.Parse(site); // Parse the site.
            Console.ForegroundColor = ConsoleColor.Gray;
            site.ShowInformation(); // Show the information of the site.
            Console.ForegroundColor = ConsoleColor.White;
        }
    }
}
