﻿//
// Authors:
// Xiaoliang Pang (mailto:mv@live.cn)
//
// Copyright (c) 2010 Landpy Software
//
// http://www.cnblogs.com/pangxiaoliang
//
using System;
using System.Collections.Generic;
using System.Text;

namespace Landpy.ProxyPattern
{
    /// <summary>
    /// The online web proxy site.
    /// </summary>
    public class MyProxySite : ISite
    {
        private ISite _site = null;

        public MyProxySite(string url)
        {
            _site = DNS.GetSite(url);
        }

        #region ISite Members

        /// <summary>
        /// The url of site.
        /// </summary>
        public string Url
        {
            get { return "http://www.myproxy.com"; }
        }

        /// <summary>
        /// Show the information about this site.
        /// </summary>
        public void ShowInformation()
        {
            Console.ForegroundColor = ConsoleColor.Green;
            Console.WriteLine("Proxy start!");
            Console.WriteLine("Real url:{0}", _site.Url);
            Console.ForegroundColor = ConsoleColor.Gray;
            IFilter filter = new USADNSFilter(); // Server in USA, comply with the rule of USA.
            _site = filter.Parse(_site);
            _site.ShowInformation();
            Console.ForegroundColor = ConsoleColor.Green;
            Console.WriteLine("Proxy end!");
            Console.ForegroundColor = ConsoleColor.Gray;
        }

        #endregion
    }
}