﻿//
// Authors:
// Xiaoliang Pang (mailto:mv@live.cn)
//
// Copyright (c) 2010 Landpy Software
//
// http://www.cnblogs.com/pangxiaoliang
//
using System;
using System.Collections.Generic;
using System.Text;

namespace Landpy.ProxyPattern
{
    /// <summary>
    /// The site with nothing.
    /// </summary>
    public class NullSite : ISite
    {
        #region ISite Members

        /// <summary>
        /// The url of site.
        /// </summary>
        public string Url
        {
            get { return String.Empty; }
        }

        /// <summary>
        /// Show the information about this site.
        /// </summary>
        public void ShowInformation()
        {
            Console.WriteLine("No site, please check the url.");
        }

        #endregion
    }
}
